This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 509909 - Hitting any button with desktop focus or otherwise causes 1-2second mouse delay
Hitting any button with desktop focus or otherwise causes 1-2second mouse delay
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 15:52 EDT by Chris Ward
Modified: 2009-09-25 03:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-25 03:30:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ward 2009-07-06 15:52:31 EDT
Description of problem:
I might not be filing this under the right component, sorry. I'll need help debugging the issue too. Basically, any time i hit a key my mouse delays by 1-2 seconds

Version-Release number of selected component (if applicable):
Latest f11, all updates

How reproducible:
always

Steps to Reproduce:
1.hit a keyboard button, try ctr for example
2.try to move your mouse at the same time
3.try to click (open a new tab, for example in FF)
4. whatever, notice the short delay.
  
Actual results:
When you try to use the mouse after the key press, it doesn't function until after the delay. Any actions are lost / ignored.

Expected results:
no delay

Additional info:
I have a lenovo T61 Thinkpad, intel graphics, red hat issued.
Comment 1 Chris Ward 2009-08-10 08:10:09 EDT
Any ideas here? It's still affecting me.
Comment 2 Ray Strode [halfline] 2009-08-11 15:26:00 EDT
is it _any_ key or just the ctrl key?

What's the output of

gconftool-2 -R /desktop/gnome/peripherals/mouse
Comment 3 Bastien Nocera 2009-08-11 17:22:04 EDT
/me guesses the "locate mouse pointer" feature is enabled.
Comment 4 Chris Ward 2009-08-12 02:45:06 EDT
Locate Mouse Pointer option is disabled. 


[cward@cward ~]# gconftool-2 -R /desktop/gnome/peripherals/mouse
 double_click = 400
 left_handed = false
 motion_threshold = -1
 locate_pointer = false
 single_click = true
 cursor_size = 24
 drag_threshold = 8
 motion_acceleration = 1.384615421295166
 cursor_font = (no value set)
 cursor_theme = Bluecurve





AH HA! I figured it out though. The issue was only occurring when using my laptop keyboard and /Touchpad/ mouse. So i looked in the mouse options and found an option 'Disable touchpad while typing.' It was enabled. I disabled this and the delay went away. Man that delay was annoying. It happens when you press /ANY/ key what-so-ever. Everything hangs for about 1/2 second -> 1 second then resumes. 

I'm wondering still whether that's what's suppose to happen or not. Seems like it definitely shouldn't.

Note You need to log in before you can comment on or make changes to this bug.